| OpenCV 4.3.0 Open Source Computer Vision

Classes | Functions
G-API Metadata Descriptors
G-API framework » G-API Data Types

## Classes
struct | cv::GArrayDesc
struct | cv::GMatDesc
struct | cv::GOpaqueDesc
struct | cv::GScalarDesc

## Functions
| cv::GScalar::GScalar ()
| cv::GScalar::GScalar (const cv::Scalar &s)
| cv::GScalar::GScalar (cv::Scalar &&s)
| cv::GScalar::GScalar (double v0)
| cv::GScalar::GScalar (const GNode &n, std::size_t out)
template<typename U >
GOpaqueDesc | cv::descr_of (const U &)
template<typename U >
GArrayDesc | cv::descr_of (const std::vector< U > &)
GScalarDesc | cv::descr_of (const cv::Scalar &scalar)
GMatDesc | cv::descr_of (const cv::Mat &mat)
GMatDesc | cv::descr_of (const cv::UMat &mat)
static GArrayDesc | cv::empty_array_desc ()
static GMatDesc | cv::empty_gmat_desc ()
static GOpaqueDesc | cv::empty_gopaque_desc ()
static GScalarDesc | cv::empty_scalar_desc ()
bool | cv::GScalarDesc::operator!= (const GScalarDesc &rhs) const
std::ostream & | cv::operator<< (std::ostream &os, const cv::GScalarDesc &desc)
bool | cv::GScalarDesc::operator== (const GScalarDesc &) const
GOrigin & | cv::GScalar::priv ()
const GOrigin & | cv::GScalar::priv () const

## Detailed Description

## Function Documentation

## ◆ GScalar() [1/5]

cv::GScalar::GScalar | ( |  | ) |

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ GScalar() [2/5]

cv::GScalar::GScalar | ( | const cv::Scalar & | s | ) |
| explicit

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ GScalar() [3/5]

cv::GScalar::GScalar | ( | cv::Scalar && | s | ) |
| explicit

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ GScalar() [4/5]

cv::GScalar::GScalar | ( | double | v0 | ) |

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ GScalar() [5/5]

cv::GScalar::GScalar | ( | const GNode & | n,
|  | std::size_t | out
| ) |  |

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ descr_of() [1/5]

template<typename U >

GOpaqueDesc cv::descr_of | ( | const U & |  | ) |

`#include <opencv2/gapi/gopaque.hpp>`

## ◆ descr_of() [2/5]

template<typename U >

GArrayDesc cv::descr_of | ( | const std::vector< U > & |  | ) |

`#include <opencv2/gapi/garray.hpp>`

## ◆ descr_of() [3/5]

GScalarDesc cv::descr_of | ( | const cv::Scalar & | scalar | ) |

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ descr_of() [4/5]

GMatDesc cv::descr_of | ( | const cv::Mat & | mat | ) |

`#include <opencv2/gapi/gmat.hpp>`

## ◆ descr_of() [5/5]

GMatDesc cv::descr_of | ( | const cv::UMat & | mat | ) |

`#include <opencv2/gapi/gmat.hpp>`

## ◆ empty_array_desc()

static GArrayDesc cv::empty_array_desc | ( |  | ) |
| inline static

`#include <opencv2/gapi/garray.hpp>`

## ◆ empty_gmat_desc()

static GMatDesc cv::empty_gmat_desc | ( |  | ) |
| inline static

`#include <opencv2/gapi/gmat.hpp>`

## ◆ empty_gopaque_desc()

static GOpaqueDesc cv::empty_gopaque_desc | ( |  | ) |
| inline static

`#include <opencv2/gapi/gopaque.hpp>`

## ◆ empty_scalar_desc()

static GScalarDesc cv::empty_scalar_desc | ( |  | ) |
| inline static

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ operator!=()

bool cv::GScalarDesc::operator!= | ( | const GScalarDesc & | rhs | ) | const
| inline

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ operator<<()

std::ostream& cv::operator<< | ( | std::ostream & | os,
|  | const cv::GScalarDesc & | desc
| ) |  |

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ operator==()

bool cv::GScalarDesc::operator== | ( | const GScalarDesc & |  | ) | const
| inline

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ priv() [1/2]

GOrigin& cv::GScalar::priv | ( |  | ) |

`#include <opencv2/gapi/gscalar.hpp>`

## ◆ priv() [2/2]

const GOrigin& cv::GScalar::priv | ( |  | ) | const

`#include <opencv2/gapi/gscalar.hpp>`